
%global meadversion 2.2.5
%global namedversion 2.2.5.redhat-7
%global meadalpha .redhat_7
%global meadrel .2
%global serial 19

%bcond_without javadoc
%bcond_without mead

%define maven_version 2.2.5.redhat-7

Name:           glassfish-jaxb
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JAXB (JSR 222)
License:        GPLv2 with exceptions
Group:          Development/Java

%if %with mead
Source100: jaxb-project-2.2.5.redhat-7-scm-sources.zip
Source102: jaxb-xjc-2.2.5.redhat-7-javadoc.jar
Source103: jaxb-xjc-2.2.5.redhat-7-sources.jar
Source104: jaxb-xjc-2.2.5.redhat-7.jar
Source105: jaxb-xjc-2.2.5.redhat-7.pom
Source106: jaxb-project-2.2.5.redhat-7.pom
Source107: jaxb-impl-2.2.5.redhat-7.jar
Source108: jaxb-impl-2.2.5.redhat-7-javadoc.jar
Source109: jaxb-impl-2.2.5.redhat-7-sources.jar
Source110: jaxb-impl-2.2.5.redhat-7.pom
%endif

URL:            http://jaxb.java.net/
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jaxb-project-%{namedversion}-%{release}-root

%description
JAXB (JSR 222).

%package -n jaxb-project
Summary:        JAXB Parent
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       jboss-parent >= 0:11
%endif

%description -n jaxb-project
JAXB (JSR 222) Parent.

%package -n jaxb-impl
Summary:        JAXB Reference Implementation
Group:          Development/Java

Obsoletes:      glassfish-jaxb < %{epoch}:%{version}-%{release}
Provides:       glassfish-jaxb = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jaxb-project = %{epoch}:%{version}-%{release}
Requires:       jboss-jaxb-api_2.2_spec >= 0:1.0.4
Requires:       istack-commons-runtime >= 0:2.6.1
Requires:       txw2 >= 0:20110809

%description -n jaxb-impl
JAXB (JSR 222) Reference Implementation.

%package -n jaxb-xjc
Summary:        JAXB XJC
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jaxb-project = %{epoch}:%{version}-%{release}
Requires:       jaxb-impl = %{epoch}:%{version}-%{release}
Requires:       codemodel >= 0:2.6
Requires:       istack-commons-tools >= 0:2.6.1
Requires:       relaxngDatatype >= 0:2011.1
Requires:       rngom >= 0:201103
Requires:       xsom >= 0:20110809

%description -n jaxb-xjc
JAXB (JSR 222) reference implementation - Schema compiler.

%if %with javadoc
%package -n jaxb-project-javadoc
Summary:        Javadoc for jaxb-project
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n jaxb-project-javadoc
%{summary}.
%endif

%prep
%setup -q -n jaxb~version2 -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jaxb-impl-%{namedversion}.jar %{buildroot}%{_javadir}/jaxb-impl-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jaxb-impl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jaxb-impl-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jaxb-impl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jaxb-impl-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jaxb-xjc-%{namedversion}.jar %{buildroot}%{_javadir}/jaxb-xjc-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jaxb-xjc-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jaxb-xjc-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jaxb-xjc-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jaxb-xjc-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/jaxb-project-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-jaxb-project.pom
%{__cp} -p %{_sourcedir}/jaxb-impl-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-jaxb-impl.pom
%{__cp} -p %{_sourcedir}/jaxb-xjc-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-jaxb-xjc.pom

# depmaps
%add_to_maven_depmap com.sun.xml.bind jaxb-project %{namedversion} JPP jaxb-project
[ %{name} = "jaxb-project" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jaxb-project
%add_to_maven_depmap com.sun.xml.bind jaxb-impl %{namedversion} JPP jaxb-impl
[ %{name} = "jaxb-impl" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jaxb-impl
%add_to_maven_depmap com.sun.xml.bind jaxb-xjc %{namedversion} JPP jaxb-xjc
[ %{name} = "jaxb-xjc" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jaxb-xjc

%if 0
%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jaxb-project-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jaxb-project-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jaxb-project-%{namedversion} -x META-INF/\*
%{__ln_s} jaxb-project-%{namedversion} %{buildroot}%{_javadocdir}/jaxb-project
%endif
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n jaxb-project
%update_maven_depmap

%postun -n jaxb-project
%update_maven_depmap

%post -n jaxb-impl
%update_maven_depmap

%postun -n jaxb-impl
%update_maven_depmap

%post -n jaxb-xjc
%update_maven_depmap

%postun -n jaxb-xjc
%update_maven_depmap

%files -n jaxb-project
%defattr(0644,root,root,0755)
%doc License.txt
%{_mavenpomdir}/JPP-jaxb-project.pom
%{_mavendepmapfragdir}/jaxb-project

%files -n jaxb-impl
%defattr(0644,root,root,0755)
%{_javadir}/jaxb-impl-%{namedversion}.jar
%{_javadir}/jaxb-impl.jar
%if %with javadoc
%{_javadir}/jaxb-impl-%{namedversion}-javadoc.jar
%{_javadir}/jaxb-impl-javadoc.jar
%else
%exclude %{_javadir}/jaxb-impl-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jaxb-impl-javadoc.jar
%endif
%{_javadir}/jaxb-impl-%{namedversion}-sources.jar
%{_javadir}/jaxb-impl-sources.jar
%{_mavenpomdir}/JPP-jaxb-impl.pom
%{_mavendepmapfragdir}/jaxb-impl

%files -n jaxb-xjc
%defattr(0644,root,root,0755)
%{_javadir}/jaxb-xjc-%{namedversion}.jar
%{_javadir}/jaxb-xjc.jar
%if %with javadoc
%{_javadir}/jaxb-xjc-%{namedversion}-javadoc.jar
%{_javadir}/jaxb-xjc-javadoc.jar
%else
%exclude %{_javadir}/jaxb-xjc-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jaxb-xjc-javadoc.jar
%endif
%{_javadir}/jaxb-xjc-%{namedversion}-sources.jar
%{_javadir}/jaxb-xjc-sources.jar
%{_mavenpomdir}/JPP-jaxb-xjc.pom
%{_mavendepmapfragdir}/jaxb-xjc

%if %with javadoc
# FIXME: can we produce aggregate javadoc?
%endif

%changelog
* Tue Oct 08 2013 David Walluck <dwalluck@redhat.com> 0:2.2.5-15
- convert to MEAD

* Fri Apr 19 2013 David Walluck <dwalluck@redhat.com> 0:2.2.5-14
- bump Release to -redhat-5

* Tue Apr 02 2013 David Walluck <dwalluck@redhat.com> 0:2.2.5-13
- change zip file name to jaxb-impl to match existing artifact

* Tue Apr 02 2013 David Walluck <dwalluck@redhat.com> 0:2.2.5-12
- set release.spec.version, release.impl.version, release.impl.version.suffix
- update jboss-parent and jboss-component-management versions in pom
- fix file list
- fix zip file creation (move to %%prep) and deploy (don't generate pom)
- update workaround for deploy bug

* Mon Feb 11 2013 Fernando Nasser <fnasser@redhat.com> 0:2.2.5-11.redhat_4
- Include sources in repolib

* Tue Oct 09 2012 David Walluck <dwalluck@redhat.com> 0:2.2.5-10
- duplicate files in main package
- remove Requires on subpackages from main package
- add maven support to main package

* Thu Oct 04 2012 David Walluck <dwalluck@redhat.com> 0:2.2.5-9
- switch to xml-commons-resolver-eap6 for runtime
- don't require xml-commons-resolver-eap6 (mark as optional in pom)
- don't require dtd-parser (mark as optional in pom)

* Wed Oct 03 2012 Paul Gier <pgier@redhat.com> - 0:2.2.5-8_redhat_3
- Fix jvnet parent in pom patch

* Wed Oct 03 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.2.5-7_redhat_3
- Update pom patch to -redhat-3 to avoid Maven repo conflict with previous build

* Wed Oct 03 2012 David Walluck <dwalluck@redhat.com> 0:2.2.5-6
- rebuild for new istack-commons

* Wed Oct 03 2012 David Walluck <dwalluck@redhat.com> 0:2.2.5-5
- fix Requires
- split into jaxb-impl and jaxb-xjc packages
- comment out unused macros
- remove empty alternatives files
- remove update-alternatives requirement

* Mon Aug 20 2012 Paul Gier <pgier@redhat.com> - 0:2.2.5-4_redhat_2.4
- Update pom patch for eap 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.2.5-4_redhat_2.3
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.2.5-4_redhat_1.2
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.2.5-4_redhat_1.1
- Rebuild using cache signing

* Mon May 07 2012 Fernando Nasser <fnasser@redhat.com> 0:2.2.5-4
- Remove the extra R's, cause large increase in EAP 6 distro

* Mon May 07 2012 Strong Liu <stliu@redhat.com> 0:2.2.5-3
- Add Rs

* Wed May 02 2012 David Walluck <dwalluck@redhat.com> 0:2.2.5-2
- fix pom versions

* Tue May 01 2012 David Walluck <dwalluck@redhat.com> 0:2.2.5-1
- 2.2.5 (api version 2.2.6)
- remove jaxb-ri-javadoc.patch
- remove jaxb-ri-verbose.patch
- rediff jaxb-ri-resolver.patch
- rediff jaxb-ri-no-xjc1.patch
- rediff jaxb-ri-no-class-path-in-manifest.patch
- rediff jaxb-ri-poms.patch
- handle additional bundled jars
- use included poms
- remove (Build)Requires: glassfish-jaf
- version some BuildRequires

* Thu Apr 19 2012 David Walluck <dwalluck@redhat.com> 0:2.2.4-0.6
- run vman on poms

* Tue Mar 27 2012 David Walluck <dwalluck@redhat.com> 0:2.2.4-0.5
- fix jaxb-impl pom dependencies

* Wed Feb 22 2012 David Walluck <dwalluck@redhat.com> 0:2.2.4-0.4
- use org.jboss.spec.javax.xml.bind:jboss-jaxb-api_2.2_spec
- remove patches for jaxb 2.1
- remoce provides for jaxb api (this is the impl only)
- use external codemodel
- use external dtd-parser
- use external istack-commons-tools
- use external jing (not in xjc)
- use external relaxngDatatype
- use external relaxngcc (not in xjc)
- use external rngom
- use external txw2 (not in xjc)
- use external xml-resolver
- use external xsom
- remove the 1.0 compiler
- remoce Class-Path from manifests

* Wed Feb 22 2012 David Walluck <dwalluck@redhat.com> 0:2.2.4-0.3
- add back removal of jars
- remove jaxb1-impl and xjc1 from main pkg and repolib pkg

* Wed Feb 22 2012 David Walluck <dwalluck@redhat.com> 0:2.2.4-0.2
- add jaxb1-impl to repolib

* Tue Feb 21 2012 David Walluck <dwalluck@redhat.com> 0:2.2.4-0.1
- 2.2.4
- remove vman poms
- add missing jaxb1-impl pom

* Thu Dec 15 2011 David Walluck <dwalluck@redhat.com> 0:2.2-7_redhat_1
- remove bundled .class files
- remove bundled .zip files
- reduce number of bundled jars from 42 to 14 and add 8 BuildRequires
- externalize com.sun.org.apache.xml.internal in com/sun/tools/xjc/Options
- add BuildRequires: jboss-component-management

* Tue Nov 29 2011 David Walluck <dwalluck@redhat.com> 0:2.2-6_redhat_1
- fix alternatives name
- update alternatives priority
- update maven demap after alternatives install

* Wed Oct 19 2011 David Walluck <dwalluck@redhat.com> 0:2.2-5_redhat_1
- fix Summary/description (not XML Web Services, but Binding)
- fix ghost link
- fix file names
- fix api version in pom
- fix api version in depmap
- fix file ownership in main package
- fix maven deploy (must set maven local repo)
- fix maven deploy (use correct version from pom)
- use one version for poms
- fix versions
- use maven2-plugin-deploy
- fix bad commenting (don't put macros in comments)
- fix repolib file ownership
- remove stax (Build)Requires
- comment out stax:stax-api from pom

* Fri Sep 30 2011 Yong Yang <yyang@redhat.com> - 0:2.2-4_redhat_1
- Fix vman pom, use stax:stax-xml instead of javax.xml.xstream:stax-api

* Thu Sep 15 2011 Yong Yang <yyang@redhat.com> - 0:2.2-3_rehdat_1
- Build for Werewolf

* Mon May 30 2011 Yong Yang <yyang@redhat.com> - 0:2.2-2
- Add "Provides: jaxb_2_1_api" because somae packages still BR jaxb_2_1_api

* Mon May 30 2011 Yong Yang <yyang@redhat.com> - 0:2.2-1
- Upgrade to 2.2

* Wed Jan 26 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.1.12-9
- Add patch to initialize AbstractDoclet configuration
- Enable javadoc

* Wed Jan 26 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.1.12-8
- Temporarily remove creation of javadoc sub-package

* Tue Jan 11 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.1.12-7
- Remove javadoc from main package

* Wed Dec 15 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.1.12-6
- Add maven2-brew contents to repolib

* Thu Jul 29 2010 Martha Benitez <mbenitez@redhat.com> 0:2.1.12-5
- Rebuild in 5.1

* Thu Jul 29 2010 David Walluck <dwalluck@redhat.com> 0:2.1.12-4
- change alternatives priority from 20100 to 20112

* Thu Jun 10 2010 David Walluck <dwalluck@redhat.com> 0:2.1.12-3
- add (Build)Requires for jaf and stax for jaxb-api-2.1.pom

* Thu Jun 10 2010 Martha Benitez <mbenitez@redhat.com> 0:2.1.12-2
- Comment patch for pom files since files are now bundled sources.

* Mon May 17 2010 Fernando Nasser <fnasser@redhat.com> 0:2.1.12-1
- Upgrade to 2.1.12
- Add pom.xml files for jaxb-api, jaxb-impl and jaxb-xjc
- Exchange CDDL+GPLv2.* files for License.*

* Wed May 05 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.1.9-6.9.1
- rebuilt

* Fri Apr 02 2010 Yong Yang <yyang@redhat.com> 0:2.1.9-6.9
- Rebuild

* Tue Jan 26 2010 David Walluck <dwalluck@redhat.com> 0:2.1.9-6.8
- use sun-jaxb as groupId for all artifacts

* Mon Jan 25 2010 David Walluck <dwalluck@redhat.com> 0:2.1.9-6.7
- add patch to update poms

* Mon Jan 25 2010 David Walluck <dwalluck@redhat.com> 0:2.1.9-6.6
- fix api, impl, and stax versions in the poms
- jaxb-api Provides should use the API version
- add Requires for %%{_sbindir}/update-alternatives

* Thu Jan 14 2010 Martha Benitez <mbenitez@redhat.com> 0:2.1.9-6.5
- Add patch for JIRA issue JBPAPP-3389 JBossWS / JAXB - Mixed up namespace prefixes when marshalling response with Element containing attributes
- Add patch from JBPAPP-2114/2161 JBossWS - Incorrect Parsing of Badly Formed int
- Add patch from JBPAPP-2121/2162 Sun JAXB Accepts Message Despite Failure During Parsing
- Define repolibver to automatically handle version of patches where needed
- Move POMs from repodirsrc to repodirlib

* Thu Dec 10 2009 Fernando Nasser <fnasser@redhat.com> 0:2.1.9-6.4
- Fix POM filenames
- Install POMs in repolib

* Mon Aug 10 2009 David Walluck <dwalluck@redhat.com> 0:2.1.9-6.3
- copy patches to both repolibs

* Mon Aug 10 2009 David Walluck <dwalluck@redhat.com> 0:2.1.9-6.2
- add patches to repolib

* Tue Jul 14 2009 Yong Yang <yyang@redhat.com> 0:2.1.9-6.1
- Merge with JPP-6 2.1.9-6
- Retain patches for JBAS-6535 and JBPAPP-1956

* Fri Jul 10 2009 Martha Benitez <mbenitez@redhat.com> 0:2.1.9-1.3
- Add poms for jaxb-impl and jaxb-xjc to repository

* Thu Jun 18 2009 Permaine Cheung <pcheung@redhat.com> 0:2.1.9-1.2
- Add patch for JBPAPP-1956
- Update repodir location

* Wed Apr 08 2009 Permaine Cheung <pcheung@redhat.com> 0:2.1.9-1.1
- Merge with upstream
- Add patch for JBAS-6535

* Tue Feb 02 2009 David Walluck <dwalluck@redhat.com> 0:2.1.9-1
- 2.1.9
- change jar location from sun-jaxb to %%{name}
- License is CDDL and GPLv2

* Thu Jan 08 2009 Permaine Cheung <pcheung@redhat.com> 0:2.1.4-1.5.ep1
- Added patch for JBPAPP-1560
- Added .patch01 to the repolib location
- Quiet setup

* Tue Aug 05 2008 David Walluck <dwalluck@redhat.com> 0:2.1.4-1jpp.ep1.4
- add xsdlib.jar to CLASSPATH

* Thu Jul 31 2008 Fernando nasser <fnasser@redhat.com> - 0:2.1.4-1jpp.ep1.3
- Plain rebuild

* Fri Jul 18 2008 Clive Saldanha <csaldanh@redhat.com> - 0:2.1.4-1jpp.ep1.2
- Adding all jars to main package

* Fri Jul 18 2008 Clive Saldanha <csaldanh@redhat.com> - 0:2.1.4-1jpp.ep1.1
- First Release
